View Issue Details

IDProjectCategoryView StatusLast Update
0002162DraftBugpublic2015-12-15 13:15
ReporterSage BrushAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacOSOSXOS Version10.8.5
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002162: Error When Importing DXF File
DescriptionWhen importing attached DXF, the following error is reported:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/Applications/FreeCAD.app/Contents/Mod/Draft/importDXF.py", line 1471, in open
    processdxf(doc,filename)
  File "/Applications/FreeCAD.app/Contents/Mod/Draft/importDXF.py", line 1278, in processdxf
    x2 = float(rawValue(dim,13))
<type 'exceptions.TypeError'>: float() argument must be a string or a number

The file does get imported and the resulting geometry is usable.
Steps To ReproduceSelect: File > Open
Select attached file in dialog box
Click Open in lower corner of dialog box
After a few seconds, the error is displayed at the bottom of the main program window
Additional InformationVersion of importer files: 0.38
Source: https://github.com/yorikvanhavre/Draft-dxf-importer



TagsNo tags attached.

Activities

Sage Brush

2015-06-17 20:52

reporter  

AF COUPLER assy R12.dxf (158,744 bytes)

yorik

2015-08-05 02:51

administrator   ~0006275

Hm it seems that diameter dimensions are not supported yet by the importer. I'll add that ASAP. In the meantime I fixed it so at least it doesn't give an error.

Related Changesets

FreeCAD: master 8c222a8c

2015-08-05 04:50:33

yorik

Details Diff
Draft: small bugfix - issue 0002162 Affected Issues
0002162
mod - src/Mod/Draft/importDXF.py Diff File

FreeCAD: master 1da0ec65

2015-12-05 19:50:30

yorik

Details Diff
Draft: added radial & diameter dim support to DXF import - fixes 0002162 Affected Issues
0002162
mod - src/Mod/Draft/importDXF.py Diff File

Issue History

Date Modified Username Field Change
2015-06-17 20:52 Sage Brush New Issue
2015-06-17 20:52 Sage Brush File Added: AF COUPLER assy R12.dxf
2015-08-05 02:50 yorik Changeset attached => FreeCAD Master master 8c222a8c
2015-08-05 02:51 yorik Note Added: 0006275
2015-08-05 02:52 yorik Assigned To => yorik
2015-08-05 02:52 yorik Status new => assigned
2015-12-05 18:50 yorik Changeset attached => FreeCAD Master master 1da0ec65
2015-12-05 18:50 yorik Status assigned => closed
2015-12-05 18:50 yorik Resolution open => fixed
2015-12-15 13:15 yorik Fixed in Version => 0.16